﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;

public partial class Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.WebHierarchicalDataGrid1.DataSource = GetData();
        this.WebHierarchicalDataGrid1.DataBind();
    }

    #region Creating DataSet

    public List<TableContent> GetData()
    {
        List<TableContent> list = new List<TableContent>();
        TableContent tc;
        for (int i = 0; i < 10; i++)
        {
            tc = new TableContent();
            tc.ClaimNumber = "CLM12345678" + i;
            tc.PatientLastName = "Sear";
            tc.PatientFirstName = "Pat";
            tc.SSN = "1234568789";
            tc.InjuryDate = DateTime.Now.AddDays(i % 2 == 0 ? -1000 : -500); ;
            tc.Value = 10 * (10 % (2 + i));
            list.Add(tc);
        }
        return list;
    }

    #endregion
    protected void WebHierarchicalDataGrid1_GroupedRowInitialized(object sender, GroupedRowEventArgs e)
    {
        ContainerGrid grid = sender as ContainerGrid;
        foreach (GroupedRecord groupedRow in grid.GroupedRows)
        {
            SetGroupText(groupedRow, e);
        }
    }

    protected void SetGroupText(GroupedRecord groupedRow, GroupedRowEventArgs e)
    {
        groupedRow.Text = ((Infragistics.Web.UI.GridControls.GridField)(groupedRow.ColumnGroupedBy)).Header.Text;
    }

}

public class TableContent
{
    public string ClaimNumber { get; set; }
    public string PatientLastName { get; set; }
    public string PatientFirstName { get; set; }
    public string SSN { get; set; }
    public DateTime InjuryDate { get; set; }
    public int Value { get; set; }
}
